Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction
Class Isolater.JtaDelegate

    java.lang.Object
      org.hibernate.engine.transaction.Isolater.JtaDelegate

Enclosing class:
  Isolater

    public static class Isolater.JtaDelegate

extends Object

An isolation delegate for JTA-based transactions. Essentially susepnds any current transaction, does the work in a new transaction, and then resumes the initial transaction (if there was one).

Constructor Summary
`Isolater.JtaDelegate(SessionImplementor session)`

Method Summary
`void` | `delegateWork(IsolatedWork work, boolean transacted)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Isolater.JtaDelegate

    public Isolater.JtaDelegate(SessionImplementor session)

Method Detail

### delegateWork

    public void delegateWork(IsolatedWork work,
                             boolean transacted)
                      throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.